Skip to content
Start here

List account stores

client.secretsStore.stores.list(StoreListParams { account_id, direction, order, 2 more } params, RequestOptionsoptions?): V4PagePaginationArray<StoreListResponse { id, created, modified, name } >
GET/accounts/{account_id}/secrets_store/stores

Lists all the stores in an account

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Secrets Store WriteSecrets Store Read
ParametersExpand Collapse
params: StoreListParams { account_id, direction, order, 2 more }
account_id: string

Path param: Account Identifier

maxLength32
direction?: "asc" | "desc"

Query param: Direction to sort objects

One of the following:
"asc"
"desc"
order?: "name" | "comment" | "created" | 2 more

Query param: Order secrets by values in the given field

One of the following:
"name"
"comment"
"created"
"modified"
"status"
page?: number

Query param: Page number

minimum0
multipleOf1
per_page?: number

Query param: Number of objects to return per page

maximum100
minimum0
multipleOf1
ReturnsExpand Collapse
StoreListResponse { id, created, modified, name }
id: string

Store Identifier

maxLength32
created: string

Whenthe secret was created.

formatdate-time
modified: string

When the secret was modified.

formatdate-time
name: string

The name of the store

List account stores

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const storeListResponse of client.secretsStore.stores.list({
  account_id: '985e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(storeListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "modified": "2023-09-21T18:56:32.624632Z",
      "name": "service_x_keys"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "modified": "2023-09-21T18:56:32.624632Z",
      "name": "service_x_keys"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}